Module java.management
Package javax.management

## Class QueryEval

- java.lang.Object
- - javax.management.QueryEval

- All Implemented Interfaces:
    `Serializable`

      public abstract class QueryEval
      extends Object
      implements Serializable

  Allows a query to be performed in the context of a specific MBean server.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryEval()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static MBeanServer` | `getMBeanServer()` | Return the MBean server that was most recently given to the `setMBeanServer` method by this thread.
    `void` | `setMBeanServer​(MBeanServer s)` | Sets the MBean server on which the query is to be performed.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryEval

          public QueryEval()

  - ### Method Detail

    - #### setMBeanServer

          public void setMBeanServer​(MBeanServer s)

      Sets the MBean server on which the query is to be performed. The setting is valid for the thread performing the set. It is copied to any threads created by that thread at the moment of their creation.

      For historical reasons, this method is not static, but its behavior does not depend on the instance on which it is called.

      Parameters:
        `s` - The MBean server on which the query is to be performed.
      See Also:
        `getMBeanServer()`

    - #### getMBeanServer

          public static MBeanServer getMBeanServer()

      Return the MBean server that was most recently given to the `setMBeanServer` method by this thread. If this thread never called that method, the result is the value its parent thread would have obtained from `getMBeanServer` at the moment of the creation of this thread, or null if there is no parent thread.

      Returns:
        the MBean server.
      See Also:
        `setMBeanServer(javax.management.MBeanServer)`